<html>
<head>
<title>OgreD3D9Mappings.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_43d9b0265a5a2fd53bf3892a292ce5e9.html">RenderSystems</a>      </li>
      <li class="navelem"><a class="el" href="dir_c7ffc14721c8bed1493f4f78ca8c7331.html">Direct3D9</a>      </li>
      <li class="navelem"><a class="el" href="dir_1208738e8444befc5f502320df40a1ea.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreD3D9Mappings.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreD3D9Mappings_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef __D3D9MAPPINGS_H__</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define __D3D9MAPPINGS_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 <span class="preprocessor">#include &quot;<a class="code" href="OgreD3D9Prerequisites_8h.html">OgreD3D9Prerequisites.h</a>&quot;</span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgreCommon_8h.html">OgreCommon.h</a>&quot;</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreLight_8h.html">OgreLight.h</a>&quot;</span>
<a name="l00034"></a>00034 <span class="preprocessor">#include &quot;<a class="code" href="OgreMaterial_8h.html">OgreMaterial.h</a>&quot;</span>
<a name="l00035"></a>00035 <span class="preprocessor">#include &quot;<a class="code" href="OgreRenderSystem_8h.html">OgreRenderSystem.h</a>&quot;</span>
<a name="l00036"></a>00036 <span class="preprocessor">#include &quot;<a class="code" href="OgreHardwareBuffer_8h.html">OgreHardwareBuffer.h</a>&quot;</span>
<a name="l00037"></a>00037 <span class="preprocessor">#include &quot;<a class="code" href="OgreHardwareIndexBuffer_8h.html">OgreHardwareIndexBuffer.h</a>&quot;</span>
<a name="l00038"></a>00038 
<a name="l00039"></a>00039 <span class="keyword">namespace </span>Ogre 
<a name="l00040"></a>00040 {
<a name="l00041"></a><a class="code" href="classOgre_1_1D3D9Mappings.html">00041</a>     <span class="keyword">class </span><a class="code" href="OgreD3D9Prerequisites_8h.html#a2f097a9b4c2ebfb75896e7d6eec01a1d">_OgreD3D9Export</a> <a class="code" href="classOgre_1_1D3D9Mappings.html">D3D9Mappings</a>
<a name="l00042"></a>00042     {
<a name="l00043"></a>00043     <span class="keyword">public</span>:
<a name="l00045"></a><a class="code" href="classOgre_1_1D3D9Mappings.html#a013e603712b5d552f59c4557c3bcff6f">00045</a>         <span class="keyword">enum</span> <a class="code" href="classOgre_1_1D3D9Mappings.html#a013e603712b5d552f59c4557c3bcff6f" title="enum identifying D3D9 tex. types">eD3DTexType</a>
<a name="l00046"></a>00046         {
<a name="l00048"></a><a class="code" href="classOgre_1_1D3D9Mappings.html#a013e603712b5d552f59c4557c3bcff6fafccc750ec72c280d9ae6b0090dac0396">00048</a>             <a class="code" href="classOgre_1_1D3D9Mappings.html#a013e603712b5d552f59c4557c3bcff6fafccc750ec72c280d9ae6b0090dac0396" title="standard texture">D3D_TEX_TYPE_NORMAL</a>,
<a name="l00050"></a><a class="code" href="classOgre_1_1D3D9Mappings.html#a013e603712b5d552f59c4557c3bcff6fadb0650c175acab0779d88b55a67a4256">00050</a>             <a class="code" href="classOgre_1_1D3D9Mappings.html#a013e603712b5d552f59c4557c3bcff6fadb0650c175acab0779d88b55a67a4256" title="cube texture">D3D_TEX_TYPE_CUBE</a>,
<a name="l00052"></a><a class="code" href="classOgre_1_1D3D9Mappings.html#a013e603712b5d552f59c4557c3bcff6fa327bf2d9e6d806eb547a2798bc89d389">00052</a>             <a class="code" href="classOgre_1_1D3D9Mappings.html#a013e603712b5d552f59c4557c3bcff6fa327bf2d9e6d806eb547a2798bc89d389" title="volume texture">D3D_TEX_TYPE_VOLUME</a>,
<a name="l00054"></a><a class="code" href="classOgre_1_1D3D9Mappings.html#a013e603712b5d552f59c4557c3bcff6fad40465dc26ebd056c6475a436ca7c99c">00054</a>             D3D_TEX_TYPE_NONE
<a name="l00055"></a>00055         };
<a name="l00056"></a>00056 
<a name="l00058"></a><a class="code" href="classOgre_1_1D3D9Mappings.html#a4a4228c86ecd5f12e1eab44b57a70e3f">00058</a>         <span class="keyword">enum</span> <a class="code" href="classOgre_1_1D3D9Mappings.html#a4a4228c86ecd5f12e1eab44b57a70e3f" title="enum identifying D3D9 filter usage type">eD3DFilterUsage</a>
<a name="l00059"></a>00059         {
<a name="l00061"></a><a class="code" href="classOgre_1_1D3D9Mappings.html#a4a4228c86ecd5f12e1eab44b57a70e3fad1ef8e3cef6c5b60f9b6ffe3839cccab">00061</a>             <a class="code" href="classOgre_1_1D3D9Mappings.html#a4a4228c86ecd5f12e1eab44b57a70e3fad1ef8e3cef6c5b60f9b6ffe3839cccab" title="min filter">D3D_FUSAGE_MIN</a>,
<a name="l00063"></a><a class="code" href="classOgre_1_1D3D9Mappings.html#a4a4228c86ecd5f12e1eab44b57a70e3faa311f869fe1da160eb7f8158caee3151">00063</a>             <a class="code" href="classOgre_1_1D3D9Mappings.html#a4a4228c86ecd5f12e1eab44b57a70e3faa311f869fe1da160eb7f8158caee3151" title="mag filter">D3D_FUSAGE_MAG</a>,
<a name="l00065"></a><a class="code" href="classOgre_1_1D3D9Mappings.html#a4a4228c86ecd5f12e1eab44b57a70e3fa346f0e80ab02f9d452699e79d155da07">00065</a>             D3D_FUSAGE_MIP
<a name="l00066"></a>00066         };
<a name="l00067"></a>00067 
<a name="l00069"></a>00069         <span class="keyword">static</span> DWORD <span class="keyword">get</span>(<a class="code" href="group__General.html#ga7afd4c7d428baaee13f3a0dbcae5f560" title="Light shading modes.">ShadeOptions</a> so);
<a name="l00071"></a>00071         <span class="keyword">static</span> D3DLIGHTTYPE <span class="keyword">get</span>(<a class="code" href="classOgre_1_1Light.html#a4f1dea084d1497c6f49e802ade940dbc" title="Defines the type of light.">Ogre::Light::LightTypes</a> lightType);
<a name="l00073"></a>00073         <span class="keyword">static</span> DWORD <span class="keyword">get</span>(<a class="code" href="group__RenderSystem.html#gaa9c06899edc6b7aed7bf3b29abe9bb31" title="Enum describing the ways to generate texture coordinates.">TexCoordCalcMethod</a> m, <span class="keyword">const</span> D3DCAPS9&amp; caps);
<a name="l00075"></a>00075         <span class="keyword">static</span> D3DTEXTUREADDRESS <span class="keyword">get</span>(<a class="code" href="classOgre_1_1TextureUnitState.html#a47c5a9f4fc08159b99bdc51103bcf852" title="Texture addressing modes - default is TAM_WRAP.">TextureUnitState::TextureAddressingMode</a> tam, <span class="keyword">const</span> D3DCAPS9&amp; devCaps);
<a name="l00077"></a>00077         <span class="keyword">static</span> D3DTEXTURESTAGESTATETYPE <span class="keyword">get</span>(<a class="code" href="group__Materials.html#ga1ae5925d36df27a6c3590536752264f8" title="Type of texture blend mode.">LayerBlendType</a> lbt);
<a name="l00079"></a>00079         <span class="keyword">static</span> DWORD <span class="keyword">get</span>(<a class="code" href="group__Materials.html#ga264ecab38a04d01e2c3158fa05ec1ee2" title="Expert list of valid texture blending operations, for use with TextureUnitState::setColourOperationEx...">LayerBlendOperationEx</a> lbo, <span class="keyword">const</span> D3DCAPS9&amp; devCaps);
<a name="l00081"></a>00081         <span class="keyword">static</span> DWORD <span class="keyword">get</span>(<a class="code" href="group__Materials.html#gae2ad78de344f35307ce35157c175625e" title="List of valid sources of values for blending operations used in TextureUnitState::setColourOperation ...">LayerBlendSource</a> lbs, <span class="keywordtype">bool</span> perStageConstants);
<a name="l00083"></a>00083         <span class="keyword">static</span> D3DBLEND <span class="keyword">get</span>(<a class="code" href="group__Materials.html#ga41c76d419d6c9c205a6c1d3b42872213" title="Blending factors for manually blending objects with the scene.">SceneBlendFactor</a> sbf);
<a name="l00085"></a>00085         <span class="keyword">static</span> D3DBLENDOP <span class="keyword">get</span>(<a class="code" href="group__Materials.html#gaa7a12a72231aedf6e33d58aafc11214a" title="Blending operations controls how objects are blended into the scene.">SceneBlendOperation</a> sbo);
<a name="l00087"></a>00087         <span class="keyword">static</span> DWORD <span class="keyword">get</span>(<a class="code" href="group__General.html#ga0212b4eb264f207d84c1df9425208c7a" title="Comparison functions used for the depth/stencil buffer operations and others.">CompareFunction</a> cf);
<a name="l00089"></a>00089         <span class="keyword">static</span> DWORD <span class="keyword">get</span>(<a class="code" href="group__General.html#gac173244ed7d950d0acd726e4f323ecdb" title="Hardware culling modes based on vertex winding.">CullingMode</a> cm, <span class="keywordtype">bool</span> flip);
<a name="l00091"></a>00091         <span class="keyword">static</span> D3DFOGMODE <span class="keyword">get</span>(<a class="code" href="group__General.html#ga83edeb2e5d33a3ca8f15834ba40020ba" title="Fog modes.">FogMode</a> fm);
<a name="l00093"></a>00093         <span class="keyword">static</span> D3DFILLMODE <span class="keyword">get</span>(<a class="code" href="group__General.html#ga68866b02aa7f99e3431337511fbb3345" title="The polygon mode to use when rasterising.">PolygonMode</a> level);
<a name="l00095"></a>00095         <span class="keyword">static</span> DWORD <span class="keyword">get</span>(<a class="code" href="group__RenderSystem.html#gae8bb1cb809660de802d1d592ba4adb61" title="Enum describing the various actions which can be taken onthe stencil buffer.">StencilOperation</a> op, <span class="keywordtype">bool</span> invert = <span class="keyword">false</span>);
<a name="l00097"></a>00097         <span class="keyword">static</span> D3DSAMPLERSTATETYPE <span class="keyword">get</span>(<a class="code" href="group__General.html#gac1fc36ec2f4df4b2afa9fa39f9c66c06">FilterType</a> ft);
<a name="l00099"></a>00099         <span class="keyword">static</span> DWORD <span class="keyword">get</span>(<a class="code" href="group__General.html#gac1fc36ec2f4df4b2afa9fa39f9c66c06">FilterType</a> ft, <a class="code" href="group__General.html#ga02306c6246268d35f45ad22278bd5d3d" title="Filtering options for textures / mipmaps.">FilterOptions</a> fo, <span class="keyword">const</span> D3DCAPS9&amp; devCaps, eD3DTexType texType);
<a name="l00101"></a>00101         <span class="keyword">static</span> eD3DTexType <span class="keyword">get</span>(<a class="code" href="group__Resources.html#gae50520af6377ff8184cf79125cb9c4d7" title="Enum identifying the texture type.">TextureType</a> ogreTexType);
<a name="l00103"></a>00103         <span class="keyword">static</span> DWORD <span class="keyword">get</span>(<a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630" title="Enums describing buffer usage; not mutually exclusive.">HardwareBuffer::Usage</a> usage);
<a name="l00105"></a>00105         <span class="keyword">static</span> DWORD <span class="keyword">get</span>(<a class="code" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0f" title="Locking options.">HardwareBuffer::LockOptions</a> options, <a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630" title="Enums describing buffer usage; not mutually exclusive.">HardwareBuffer::Usage</a> usage);
<a name="l00107"></a>00107         <span class="keyword">static</span> D3DFORMAT <span class="keyword">get</span>(<a class="code" href="classOgre_1_1HardwareIndexBuffer.html#a25ba4923e015d46de162f7cc4c256326">HardwareIndexBuffer::IndexType</a> itype);
<a name="l00109"></a>00109         <span class="keyword">static</span> D3DDECLTYPE <span class="keyword">get</span>(<a class="code" href="group__RenderSystem.html#ga027109503a988ba85f4c63b55082907f" title="Vertex element type, used to identify the base types of the vertex contents.">VertexElementType</a> vType);
<a name="l00111"></a>00111         <span class="keyword">static</span> D3DDECLUSAGE <span class="keyword">get</span>(<a class="code" href="group__RenderSystem.html#ga0a62b3f2ede8992ff365bb013a8bc00d" title="Vertex element semantics, used to identify the meaning of vertex buffer contents.">VertexElementSemantic</a> sem);
<a name="l00112"></a>00112         <span class="comment">// Convert matrix to D3D style</span>
<a name="l00113"></a>00113         <span class="keyword">static</span>  D3DXMATRIX makeD3DXMatrix( <span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>&amp; mat );
<a name="l00114"></a>00114         <span class="comment">// Convert matrix from D3D style</span>
<a name="l00115"></a>00115         <span class="keyword">static</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> convertD3DXMatrix( <span class="keyword">const</span> D3DXMATRIX&amp; mat );
<a name="l00116"></a>00116 
<a name="l00118"></a>00118         <span class="keyword">static</span> <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> _getPF(D3DFORMAT d3dPF);
<a name="l00120"></a>00120         <span class="keyword">static</span> D3DFORMAT _getPF(<a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> ogrePF);
<a name="l00122"></a>00122         <span class="keyword">static</span> <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> _getClosestSupportedPF(<a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> ogrePF);
<a name="l00123"></a>00123     };
<a name="l00124"></a>00124 }
<a name="l00125"></a>00125 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:49
</p>
</body>
</html>
